Compare commits

...
Author SHA1 Message Date
Serge Schneider b71bf31793 Update os.json 2017-11-24 10:12:09 +00:00
Serge Schneider 4b08ad07b1 Update release notes 2017-11-24 10:12:08 +00:00
Serge Schneider aa8731012e Round image size up to nearest 4M block 2017-11-24 10:12:08 +00:00
Serge Schneider 53259b48d3 Remove fonts-arkpandora 2017-11-24 07:10:45 +00:00
Serge Schneider 5c44fc727e stage2: install man-db 2017-11-24 07:10:45 +00:00
Andrew Wedgbury 35994f5d9c Remove /etc/vnc/updateid when finalising 2017-11-22 15:49:37 +00:00
XECDesign 31fcc80953 Fix typo in export-image
Fixes #132
2017-11-07 05:43:01 +00:00
XECDesign 90adfb1551 Label root partition
Fixes #131
2017-11-06 10:53:05 +00:00
Rick 9f2941954f Add caution about WORK_DIR filesystem 2017-09-28 13:40:58 +01:00
Claus Strasburger 52c6748e67 fix docker-in-docker copying when not doing CONTINUE=1 2017-09-21 15:06:11 +01:00
Claus Strasburger 732a87415d Docker-Build enhancements
- don't use any volume mounts anymore to allow using docker-in-docker
(with docker.sock mounted)
- smaller Docker build context by ignoring some files
2017-09-21 12:53:01 +01:00
Serge Schneider 9aa87dbfb4 Fix font packages 2017-09-21 12:45:05 +01:00
Jacen 26fcf59f3f [adding] qemu emulation layout to test images with qemu 2017-09-14 10:12:30 +01:00
Serge Schneider 496e41575e Revert "stage2: install fdisk"
This reverts commit e7e04fcde3.
2017-09-05 14:34:19 +01:00
Serge Schneider e7e04fcde3 stage2: install fdisk 2017-09-05 14:29:33 +01:00
Serge Schneider 5024709d70 Update release notes 2017-09-05 12:36:58 +01:00
Jacen 727db0ed63 [fixing] docker parts 2017-09-04 16:43:25 +01:00
Serge Schneider e64ea5bce4 stage3: install fonts-droid-fallback 2017-09-04 14:06:23 +01:00
Serge Schneider 63c312d1fe Update release notes 2017-09-04 12:17:49 +01:00
Serge Schneider 2f032b1d19 Update README.md
Fixes #105
2017-09-04 09:39:04 +01:00
Serge Schneider 05b31b287d Dockerfile: set DEBIAN_FRONTEND noninteractive 2017-08-31 11:27:33 +01:00
Serge Schneider b8c94731c5 stage1: fix symlink creation
Fixes #100
2017-08-31 11:24:01 +01:00
James Ruan c0513c547a export-image: when work in a non-English locale environment the PARTUUID will silently fail, resulting to an unbootable image file. (#96)
* use dd and xxd to get disk identifier

* add xxd as dependency
2017-08-31 11:22:33 +01:00
Serge Schneider dc0fb57fb9 stage2: install net-tools explicitly 2017-08-24 16:31:15 +01:00
Serge Schneider fcb8cca6ce NOOBS: bsdtar with --numeric-owner 2017-08-22 13:03:21 +01:00
Serge Schneider ce46fac1d4 Disable predictable network interface names 2017-08-21 10:15:50 +01:00
Russ K 3cc13f2aa2 Check for curl as a dependency for export-image (#95)
* Check for curl as a dependency for export-image

* Add curl to the Dockerfile
2017-08-21 09:48:55 +01:00
Serge Schneider 4dc1e1670e Update release notes 2017-08-17 14:46:35 +01:00
22 changed files with 105 additions and 30 deletions
+2
View File
@@ -1,3 +1,5 @@
output/ output/
work/ work/
deploy/ deploy/
apt-cacher-ng/
.git/objects/*
+3 -1
View File
@@ -1,10 +1,12 @@
FROM debian:stretch FROM debian:stretch
ENV DEBIAN_FRONTEND noninteractive
RUN apt-get -y update && \ RUN apt-get -y update && \
apt-get -y install \ apt-get -y install \
git vim parted \ git vim parted \
quilt realpath qemu-user-static debootstrap zerofree pxz zip dosfstools \ quilt realpath qemu-user-static debootstrap zerofree pxz zip dosfstools \
bsdtar libcap2-bin rsync grep udev xz-utils \ bsdtar libcap2-bin rsync grep udev xz-utils curl xxd \
&& rm -rf /var/lib/apt/lists/* && rm -rf /var/lib/apt/lists/*
COPY . /pi-gen/ COPY . /pi-gen/
+7 -1
View File
@@ -61,11 +61,17 @@ The following environment variables are supported:
be built and cached. Note, `WORK_DIR` stores a complete copy of the target be built and cached. Note, `WORK_DIR` stores a complete copy of the target
system for each build stage, amounting to tens of gigabytes in the case of system for each build stage, amounting to tens of gigabytes in the case of
Raspbian. Raspbian.
**CAUTION**: If your working directory is on an NTFS partition you probably won't be able to build. Make sure this is a proper Linux filesystem.
* `DEPLOY_DIR` (Default: `"$BASE_DIR/deploy"`) * `DEPLOY_DIR` (Default: `"$BASE_DIR/deploy"`)
Output directory for target system images and NOOBS bundles. Output directory for target system images and NOOBS bundles.
* `USE_QEMU` (Default: `"0"`)
This enable the Qemu mode and set filesystem and image suffix if set to 1.
A simple example for building Raspbian: A simple example for building Raspbian:
@@ -166,7 +172,7 @@ from `./stage2` (if building a minimal system).
# Example for building a lite system # Example for building a lite system
echo "IMG_NAME='Raspbian'" > config echo "IMG_NAME='Raspbian'" > config
touch ./stage3/SKIP ./stage4/SKIP ./stage5/SKIP touch ./stage3/SKIP ./stage4/SKIP ./stage5/SKIP
rm stage4/EXPORT* rm stage4/EXPORT* stage5/EXPORT*
sudo ./build.sh # or ./build-docker.sh sudo ./build.sh # or ./build-docker.sh
``` ```
+15 -12
View File
@@ -13,10 +13,9 @@ if ! $DOCKER ps >/dev/null; then
fi fi
set -e set -e
config_file=()
config_mount=()
if [ -f config ]; then if [ -f config ]; then
config_mount=("-v" "$(pwd)/config:/pi-gen/config:ro") config_file=("--env-file" "$(pwd)/config")
source config source config
fi fi
@@ -25,7 +24,7 @@ CONTINUE=${CONTINUE:-0}
if [ "$*" != "" ] || [ -z "${IMG_NAME}" ]; then if [ "$*" != "" ] || [ -z "${IMG_NAME}" ]; then
if [ -z "${IMG_NAME}" ]; then if [ -z "${IMG_NAME}" ]; then
echo "IMG_NAME not set in 'build'" 1>&2 echo "IMG_NAME not set in 'config'" 1>&2
echo 1>&2 echo 1>&2
fi fi
cat >&2 <<EOF cat >&2 <<EOF
@@ -47,13 +46,13 @@ fi
if [ "$CONTAINER_EXISTS" != "" ] && [ "$CONTINUE" != "1" ]; then if [ "$CONTAINER_EXISTS" != "" ] && [ "$CONTINUE" != "1" ]; then
echo "Container $CONTAINER_NAME already exists and you did not specify CONTINUE=1. Aborting." echo "Container $CONTAINER_NAME already exists and you did not specify CONTINUE=1. Aborting."
echo "You can delete the existing container like this:" echo "You can delete the existing container like this:"
echo " docker rm -v $CONTAINER_NAME" echo " $DOCKER rm -v $CONTAINER_NAME"
exit 1 exit 1
fi fi
$DOCKER build -t pi-gen . $DOCKER build -t pi-gen .
if [ "$CONTAINER_EXISTS" != "" ]; then if [ "$CONTAINER_EXISTS" != "" ]; then
trap "echo 'got CTRL+C... please wait 5s';docker stop -t 5 ${CONTAINER_NAME}_cont" SIGINT SIGTERM trap "echo 'got CTRL+C... please wait 5s'; $DOCKER stop -t 5 ${CONTAINER_NAME}_cont" SIGINT SIGTERM
time $DOCKER run --rm --privileged \ time $DOCKER run --rm --privileged \
--volumes-from="${CONTAINER_NAME}" --name "${CONTAINER_NAME}_cont" \ --volumes-from="${CONTAINER_NAME}" --name "${CONTAINER_NAME}_cont" \
-e IMG_NAME=${IMG_NAME}\ -e IMG_NAME=${IMG_NAME}\
@@ -61,17 +60,21 @@ if [ "$CONTAINER_EXISTS" != "" ]; then
bash -e -o pipefail -c "dpkg-reconfigure qemu-user-static && bash -e -o pipefail -c "dpkg-reconfigure qemu-user-static &&
cd /pi-gen; ./build.sh; cd /pi-gen; ./build.sh;
rsync -av work/*/build.log deploy/" & rsync -av work/*/build.log deploy/" &
wait wait "$!"
else else
trap "echo 'got CTRL+C... please wait 5s'; docker stop -t 5 ${CONTAINER_NAME}" SIGINT SIGTERM trap "echo 'got CTRL+C... please wait 5s'; $DOCKER stop -t 5 ${CONTAINER_NAME}" SIGINT SIGTERM
$DOCKER run --name "${CONTAINER_NAME}" --privileged \ time $DOCKER run --name "${CONTAINER_NAME}" --privileged \
-e IMG_NAME=${IMG_NAME}\ -e IMG_NAME=${IMG_NAME}\
-v "$(pwd)/deploy:/pi-gen/deploy" \ "${config_file[@]}" \
"${config_mount[@]}" \
pi-gen \ pi-gen \
bash -e -o pipefail -c "dpkg-reconfigure qemu-user-static && bash -e -o pipefail -c "dpkg-reconfigure qemu-user-static &&
cd /pi-gen; ./build.sh && cd /pi-gen; ./build.sh &&
rsync -av work/*/build.log deploy/" & rsync -av work/*/build.log deploy/" &
wait wait "$!"
fi fi
echo "copying results from deploy/"
$DOCKER cp "${CONTAINER_NAME}":/pi-gen/deploy .
ls -lah deploy
$DOCKER rm -v $CONTAINER_NAME
echo "Done! Your image(s) should be in deploy/" echo "Done! Your image(s) should be in deploy/"
+8 -4
View File
@@ -119,6 +119,7 @@ if [ "$(id -u)" != "0" ]; then
exit 1 exit 1
fi fi
if [ -f config ]; then if [ -f config ]; then
source config source config
fi fi
@@ -128,6 +129,7 @@ if [ -z "${IMG_NAME}" ]; then
exit 1 exit 1
fi fi
export USE_QEMU=${USE_QEMU:-0}
export IMG_DATE=${IMG_DATE:-"$(date +%Y-%m-%d)"} export IMG_DATE=${IMG_DATE:-"$(date +%Y-%m-%d)"}
export BASE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" export BASE_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
@@ -177,10 +179,12 @@ for EXPORT_DIR in ${EXPORT_DIRS}; do
source "${EXPORT_DIR}/EXPORT_IMAGE" source "${EXPORT_DIR}/EXPORT_IMAGE"
EXPORT_ROOTFS_DIR=${WORK_DIR}/$(basename ${EXPORT_DIR})/rootfs EXPORT_ROOTFS_DIR=${WORK_DIR}/$(basename ${EXPORT_DIR})/rootfs
run_stage run_stage
if [ -e ${EXPORT_DIR}/EXPORT_NOOBS ]; then if [ "${USE_QEMU}" != "1" ]; then
source ${EXPORT_DIR}/EXPORT_NOOBS if [ -e ${EXPORT_DIR}/EXPORT_NOOBS ]; then
STAGE_DIR=${BASE_DIR}/export-noobs source ${EXPORT_DIR}/EXPORT_NOOBS
run_stage STAGE_DIR=${BASE_DIR}/export-noobs
run_stage
fi
fi fi
done done
+2
View File
@@ -11,3 +11,5 @@ bsdtar
grep grep
rsync rsync
xz:xz-utils xz:xz-utils
curl
xxd
+1 -1
View File
@@ -2,7 +2,7 @@
IMG_FILE="${STAGE_WORK_DIR}/${IMG_DATE}-${IMG_NAME}${IMG_SUFFIX}.img" IMG_FILE="${STAGE_WORK_DIR}/${IMG_DATE}-${IMG_NAME}${IMG_SUFFIX}.img"
IMGID="$(fdisk -l ${IMG_FILE} | sed -n 's/Disk identifier: 0x\([^ ]*\)/\1/p')" IMGID="$(dd if=${IMG_FILE} skip=440 bs=1 count=4 2>/dev/null | xxd -e | cut -f 2 -d' ')"
BOOT_PARTUUID="${IMGID}-01" BOOT_PARTUUID="${IMGID}-01"
ROOT_PARTUUID="${IMGID}-02" ROOT_PARTUUID="${IMGID}-02"
+5 -2
View File
@@ -15,8 +15,10 @@ fi
rm -f ${ROOTFS_DIR}/etc/apt/apt.conf.d/51cache rm -f ${ROOTFS_DIR}/etc/apt/apt.conf.d/51cache
rm -f ${ROOTFS_DIR}/usr/sbin/policy-rc.d rm -f ${ROOTFS_DIR}/usr/sbin/policy-rc.d
rm -f ${ROOTFS_DIR}/usr/bin/qemu-arm-static rm -f ${ROOTFS_DIR}/usr/bin/qemu-arm-static
if [ -e ${ROOTFS_DIR}/etc/ld.so.preload.disabled ]; then if [ "${USE_QEMU}" != "1" ]; then
mv ${ROOTFS_DIR}/etc/ld.so.preload.disabled ${ROOTFS_DIR}/etc/ld.so.preload if [ -e ${ROOTFS_DIR}/etc/ld.so.preload.disabled ]; then
mv ${ROOTFS_DIR}/etc/ld.so.preload.disabled ${ROOTFS_DIR}/etc/ld.so.preload
fi
fi fi
rm -f ${ROOTFS_DIR}/etc/apt/sources.list~ rm -f ${ROOTFS_DIR}/etc/apt/sources.list~
@@ -43,6 +45,7 @@ for _FILE in $(find ${ROOTFS_DIR}/var/log/ -type f); do
done done
rm -f "${ROOTFS_DIR}/root/.vnc/private.key" rm -f "${ROOTFS_DIR}/root/.vnc/private.key"
rm -f "${ROOTFS_DIR}/etc/vnc/updateid"
update_issue $(basename ${EXPORT_DIR}) update_issue $(basename ${EXPORT_DIR})
install -m 644 ${ROOTFS_DIR}/etc/rpi-issue ${ROOTFS_DIR}/boot/issue.txt install -m 644 ${ROOTFS_DIR}/etc/rpi-issue ${ROOTFS_DIR}/boot/issue.txt
+3 -2
View File
@@ -12,7 +12,8 @@ mkdir -p ${ROOTFS_DIR}
BOOT_SIZE=$(du --apparent-size -s ${EXPORT_ROOTFS_DIR}/boot --block-size=1 | cut -f 1) BOOT_SIZE=$(du --apparent-size -s ${EXPORT_ROOTFS_DIR}/boot --block-size=1 | cut -f 1)
TOTAL_SIZE=$(du --apparent-size -s ${EXPORT_ROOTFS_DIR} --exclude var/cache/apt/archives --block-size=1 | cut -f 1) TOTAL_SIZE=$(du --apparent-size -s ${EXPORT_ROOTFS_DIR} --exclude var/cache/apt/archives --block-size=1 | cut -f 1)
IMG_SIZE=$((BOOT_SIZE + TOTAL_SIZE + (800 * 1024 * 1024))) ROUND_SIZE="$((4 * 1024 * 1024))"
IMG_SIZE=$(((BOOT_SIZE + TOTAL_SIZE + (800 * 1024 * 1024) + ROUND_SIZE) / ROUND_SIZE * ROUND_SIZE))
truncate -s ${IMG_SIZE} ${IMG_FILE} truncate -s ${IMG_SIZE} ${IMG_FILE}
fdisk -H 255 -S 63 ${IMG_FILE} <<EOF fdisk -H 255 -S 63 ${IMG_FILE} <<EOF
@@ -58,7 +59,7 @@ for FEATURE in metadata_csum 64bit; do
fi fi
done done
mkdosfs -n boot -F 32 -v $BOOT_DEV > /dev/null mkdosfs -n boot -F 32 -v $BOOT_DEV > /dev/null
mkfs.ext4 -O $ROOT_FEATURES $ROOT_DEV > /dev/null mkfs.ext4 -L rootfs -O $ROOT_FEATURES $ROOT_DEV > /dev/null
mount -v $ROOT_DEV ${ROOTFS_DIR} -t ext4 mount -v $ROOT_DEV ${ROOTFS_DIR} -t ext4
mkdir -p ${ROOTFS_DIR}/boot mkdir -p ${ROOTFS_DIR}/boot
+2 -1
View File
@@ -10,7 +10,8 @@
"Pi Model", "Pi Model",
"Pi 2", "Pi 2",
"Pi Zero", "Pi Zero",
"Pi 3" "Pi 3",
"Pi Compute Module 3"
], ],
"url": "http://www.raspbian.org/", "url": "http://www.raspbian.org/",
"username": "pi", "username": "pi",
@@ -1,4 +1,21 @@
UNRELEASED: UNRELEASED:
* Added battery monitor plugin for taskbar - works on x86 images or first-generation Pi-Top
* Added cutdown mode to PCManFM file manager to reduce complexity
* Added ability to rename files in PCManFM by clicking name when selected
* Bug fix in Bluetooth ALSA module to reduce truncation of audio at end of playback
* Various small tweaks, bug fixes and theme modifications
* New kernel and firmware
2017-09-07:
* Disable predictable network interface names for Ethernet devices
* Bug fix for keyboard settings dialog in Raspberry Pi Configuration
* Bug fix for crash on some videos and animations in Chromium
* Bug fix for taskbar crash when running RealVNC server
* Bug fix for reloading projects with extensions in Scratch 2
* Bug fix for MAC address problem in Bluetooth
* Simple mode and new icons in Thonny
* New Japanese translations in Raspberry Pi Configuration
* Install fonts-droid-fallback for international fonts
2017-08-16:
* Based on Raspbian Stretch (Debian version 9) * Based on Raspbian Stretch (Debian version 9)
* Version 60 of Chromium browser included * Version 60 of Chromium browser included
* Version 3.0.1 of Sonic Pi included * Version 3.0.1 of Sonic Pi included
@@ -9,6 +26,7 @@ UNRELEASED:
* Various desktop applications modified to prompt for sudo password if needed * Various desktop applications modified to prompt for sudo password if needed
* lxinput control options for mouse speed simplified * lxinput control options for mouse speed simplified
* lxpanel plugins moved into separate packages * lxpanel plugins moved into separate packages
* Wireless firmware for Pi 3 and Pi 0W modified to address Broadpwn exploit
* Latest kernel and firmware * Latest kernel and firmware
* Various small tweaks, bug fixes and theme modifications * Various small tweaks, bug fixes and theme modifications
2017-07-05: 2017-07-05:
+2 -2
View File
@@ -33,8 +33,8 @@ mount $BOOT_DEV ${STAGE_WORK_DIR}/rootfs/boot
ln -sv "/lib/systemd/system/apply_noobs_os_config.service" "$ROOTFS_DIR/etc/systemd/system/multi-user.target.wants/apply_noobs_os_config.service" ln -sv "/lib/systemd/system/apply_noobs_os_config.service" "$ROOTFS_DIR/etc/systemd/system/multi-user.target.wants/apply_noobs_os_config.service"
bsdtar --format gnutar --use-compress-program pxz -C ${STAGE_WORK_DIR}/rootfs/boot -cpf ${NOOBS_DIR}/boot.tar.xz . bsdtar --numeric-owner --format gnutar --use-compress-program pxz -C ${STAGE_WORK_DIR}/rootfs/boot -cpf ${NOOBS_DIR}/boot.tar.xz .
umount ${STAGE_WORK_DIR}/rootfs/boot umount ${STAGE_WORK_DIR}/rootfs/boot
bsdtar --format gnutar --use-compress-program pxz -C ${STAGE_WORK_DIR}/rootfs --one-file-system -cpf ${NOOBS_DIR}/root.tar.xz . bsdtar --numeric-owner --format gnutar --use-compress-program pxz -C ${STAGE_WORK_DIR}/rootfs --one-file-system -cpf ${NOOBS_DIR}/root.tar.xz .
unmount_image ${IMG_FILE} unmount_image ${IMG_FILE}
+1 -3
View File
@@ -3,6 +3,4 @@
install -m 644 files/ipv6.conf ${ROOTFS_DIR}/etc/modprobe.d/ipv6.conf install -m 644 files/ipv6.conf ${ROOTFS_DIR}/etc/modprobe.d/ipv6.conf
install -m 644 files/hostname ${ROOTFS_DIR}/etc/hostname install -m 644 files/hostname ${ROOTFS_DIR}/etc/hostname
on_chroot << EOF ln -sf /dev/null ${ROOTFS_DIR}/etc/systemd/network/99-default.link
dpkg-divert --add --local /lib/udev/rules.d/75-persistent-net-generator.rules
EOF
+1
View File
@@ -20,3 +20,4 @@ rpi-update
libmtp-runtime libmtp-runtime
rsync rsync
htop htop
man-db
+20
View File
@@ -17,8 +17,28 @@ systemctl disable nfs-common
systemctl disable rpcbind systemctl disable rpcbind
systemctl disable ssh systemctl disable ssh
systemctl enable regenerate_ssh_host_keys systemctl enable regenerate_ssh_host_keys
EOF
if [ "${USE_QEMU}" = "1" ]; then
echo "enter QEMU mode"
install -m 644 files/90-qemu.rules ${ROOTFS_DIR}/etc/udev/rules.d/
if [ -e ${ROOTFS_DIR}/etc/ld.so.preload.disabled ]; then
rm ${ROOTFS_DIR}/etc/ld.so.preload.disabled
touch ${ROOTFS_DIR}/etc/ld.so.preload.disabled
fi
if [ -e ${ROOTFS_DIR}/etc/ld.so.preload ]; then
rm ${ROOTFS_DIR}/etc/ld.so.preload
touch ${ROOTFS_DIR}/etc/ld.so.preload
fi
on_chroot << EOF
systemctl disable resize2fs_once
EOF
echo "leaving QEMU mode"
else
on_chroot << EOF
systemctl enable resize2fs_once systemctl enable resize2fs_once
EOF EOF
fi
on_chroot << \EOF on_chroot << \EOF
for GRP in input spi i2c gpio; do for GRP in input spi i2c gpio; do
+3
View File
@@ -0,0 +1,3 @@
KERNEL=="sda", SYMLINK+="mmcblk0"
KERNEL=="sda?", SYMLINK+="mmcblk0p%n"
KERNEL=="sda2", SYMLINK+="root"
+1
View File
@@ -1,3 +1,4 @@
wpasupplicant wireless-tools firmware-atheros firmware-brcm80211 firmware-libertas firmware-misc-nonfree firmware-realtek wpasupplicant wireless-tools firmware-atheros firmware-brcm80211 firmware-libertas firmware-misc-nonfree firmware-realtek
raspberrypi-net-mods raspberrypi-net-mods
dhcpcd5 dhcpcd5
net-tools
+3
View File
@@ -1 +1,4 @@
IMG_SUFFIX="-lite" IMG_SUFFIX="-lite"
if [ "${USE_QEMU}" = "1" ]; then
export IMG_SUFFIX="${IMG_SUFFIX}-qemu"
fi
+2
View File
@@ -9,3 +9,5 @@ gvfs
rfkill rfkill
chromium-browser rpi-chromium-mods chromium-browser rpi-chromium-mods
gldriver-test gldriver-test
fonts-droid-fallback
fonts-liberation2
-1
View File
@@ -8,7 +8,6 @@ python-serial python3-serial
python-picamera python3-picamera python-picamera python3-picamera
debian-reference-en dillo x2x debian-reference-en dillo x2x
raspberrypi-net-mods raspberrypi-ui-mods raspberrypi-net-mods raspberrypi-ui-mods
fonts-liberation2
smartsim smartsim
python-pip python3-pip python-pip python3-pip
python3-numpy python3-numpy
+3
View File
@@ -1 +1,4 @@
IMG_SUFFIX="-4GB" IMG_SUFFIX="-4GB"
if [ "${USE_QEMU}" = "1" ]; then
export IMG_SUFFIX="${IMG_SUFFIX}-qemu"
fi
+3
View File
@@ -1 +1,4 @@
IMG_SUFFIX="" IMG_SUFFIX=""
if [ "${USE_QEMU}" = "1" ]; then
export IMG_SUFFIX="${IMG_SUFFIX}-qemu"
fi